HPE SimpliVity
cancel
Showing results for 
Search instead for 
Did you mean: 

Upgrading To 4.0 From Previous Versions **Important Information Before Upgrading**

 
Highlighted
HPE Pro

Upgrading To 4.0 From Previous Versions **Important Information Before Upgrading**

 This is mostly for a VMware/vSphere upgrade. But good reading for Microsoft as well.

Working the 3rd shift I seem to get a lot of upgrade problems when people are moving to SimpliVity 4.0. Things like vCenter reporting  datastores inaccessible and VMs inaccessible or Miscellaneous Upgrade Manager errors about the Federation and Clusters. In the process of an upgrade they can be quite alarming. Since the customer  was granted root access in version 3.7.3, they have been able to upgrade their nodes by themselves. Upgrading became a paid service. As a Tech Solutions Consultant, we assist with the upgrade when a problem arises. solve the problem  and let the customer go back to the upgrade. If another issue arises, we will always assist in fixing the issue that is causing the problem but we really don't do the upgrades anymore.

Now to my point

1. Make sure you have the current software from your customer portal. The current offline bundle from the customer portal is: 

                   * RECOMMENDED * HPE OmniStack for Microsoft Hyper-V and VMware vSphere
Type: Software - Storage
Version: 4.0.0(6 Jan 2020)
Operating System(s): Microsoft Windows Server 2016
VMware vSphere 6.5
VMware vSphere 6.7

Some of the things you may need:

  • HPE SimpliVity ESXi Offline Bundles-
  • HPE_SimpliVity_ESXi_6.5U3_EP16_Offline_Bundle_Q8A57-11081_hpe-esxi6.5u3ep16-14874964-650.U3.10.4.5.41-offline-bundle.zip
  • HPE_SimpliVity_ESXi_6.7U3_Offline_Bundle_Q8A57-11082_hpe-esxi6.7u3-14320388-670.U3.10.4.5.19-offline-bundle.zip
  • HPE_OmniStack_Software_4.0.0_Q8A57-11078.zip
  • RFE WebClient 4.0.0-
  • HPE-SimpliVity-Plug-in-for-vSphere-Client-linux-x64-4.0.0.179.run
  • HPE-SimpliVity-Plug-in-for-vSphere-Client-windows-4.0.0.179.exe
  • simplivity-arbiter-4.0.0.620.msi
  • simplivity-deployment-manager-4.0.0.358.msi
  • svt-vmm-add-in-4.0.0.309.zip
  • HPE SimpliVity OmniStack 4.0.0 Interoperability Guide
  • HPE OmniStack 4.0.0 for vSphere UpgradeGuide

If you feel you don't have everything you need call us and we can get it for you. Next and the most important is the order in which we update things. There is a step by step list in th the upgrade guide but it boils down to this: 

  1. Upgrade vCenter manually to 6.7U3
  2. Upgrade Arbiter
  3. Upgrade SimpliVity vCenter plugin
  4. Run Upgrade Manager to upgrade SimpliVity from 3.X.X to 4.0.0

At this point if you have properly staged everything in the prerequisites (Gen 10 firmware ,ESXi bundle) and done steps 1, 2 and 3 you should not have any problems.

I am not saying that you won't have a problem, and I do reccommend our Upgrade and Deployment Services, but if you do- we are here to help in any way we can.  +1 866-211-5211, Option 4, Option 1


Accept or Kudo
While I work for HPE, any personal opinions expressed are mine, and not official statements on behalf of HPE.
25 REPLIES 25
Highlighted
Occasional Advisor

Re: Upgrading To 4.0 From Previous Versions **Important Information Before Upgrading**

Is vCenter 6.7 U3 build 14368073 supported with 4.0.0?
It is currently not listed in the "HPE SimpliVity OmniStack 4.0.0 Interoperability Guide".

So I assume the answer is no. Do you know when if/when 14368073 sill be supported?

Dave
Highlighted
HPE Pro

Re: Upgrading To 4.0 From Previous Versions **Important Information Before Upgrading**

Hello @DavS ,

Thanks for using HPE SimpliVity Fourum.

Based on your query regarding the interoperatibity of vCenter 6.7 U3 with the HPE OmniStack with 4.0, I find that the mention vCenter is supported.

You can take a look for the below link at page no 17 which states that it's supported.
https://support.hpe.com/hpesc/public/docDisplay?docId=a00090815en_us

Let me know if you have any queries.

I am an HPE Employee

Accept or Kudo

Highlighted
Occasional Advisor

Re: Upgrading To 4.0 From Previous Versions **Important Information Before Upgrading**

Yes, Page 17 shows that 1467737 is supported, I found that before I asked the question about 14368073. 

My question is 14368073 supported?

If not do you know when 14368073 will be supported?

Thanks.

Dave
Highlighted
HPE Pro

Re: Upgrading To 4.0 From Previous Versions **Important Information Before Upgrading**

Hi @DavS ,

Checking on to the vmware's website with the build numbers for vcenter, it looks like the Build 14368073 is wrt to the vCenter webclient. However the vCenter bild remains 14367737 for vCneter 6.7 U3.

I am an HPE Employee

Accept or Kudo

Highlighted
Advisor

Re: Upgrading To 4.0 From Previous Versions **Important Information Before Upgrading**

Hi HPe Team,

i only wanted to be sure what are the right steps for an SimpliVity upgrade.

1.Check if the Federation is healthy 

2. Upgrade the Aribter

3. Use the DM for the OVC SW (Simplivity Version) upgrade

4. Upgrade the FW 

5. Upgrade the ESXI

Naturally I'm checking all Version in the Interoperability matrix

 

Thanks for your help!

Highlighted
Advisor

Re: Upgrading To 4.0 From Previous Versions **Important Information Before Upgrading**

No one have an answer for me ?

Highlighted
Occasional Advisor

Re: Upgrading To 4.0 From Previous Versions **Important Information Before Upgrading**

Hi @cheesi . The Upgrade Manager will orchestrate the upgrade of FW, ESXi image and OmniStack software. You are correct in the order that you have, will the understanding that the Upgrade Manager will perform in the order needed.

1. Check if the Federation is healthy
2. Arbiter (DO NOT REMOVE EXISTING VERSION OF ARBITER)
3. HPE SimpliVity Plug-in for vSphere Client
4. Upgrade FW, ESXi and OmniStack using Upgrade Manager (Requires VMware vSphere Enterprise Plus or higher license)

Please find link to Upgrade Manager below...
https://support.hpe.com/hpesc/public/docDisplay?docLocale=en_US&docId=a00090804en_us 

I am an HPE Employee
A quick resolution to technical issues for your HP Enterprise products is just a click away HPE Support Center Knowledge-base
Highlighted
HPE Pro

Re: Upgrading To 4.0 From Previous Versions **Important Information Before Upgrading**

Hi @cheesi 

Take a look at this video which will explain how the fully orchestrated ESXi/OVC/FW upgrade is done.

https://hpesimplivityvideos.brightcovegallery.com/detail/videos/install-upgrade/video/6117232112001/hpe-simplivity-lifecycle-management-using-simplivity-upgrade-manager?autoStart=true

NOTE: To avail of this fully automated upgrade, you will need to have eneterprise plus ro higher vSphere licensing, as we leverage VMware vMotion during the process.

Also, you forgot to mention the web client plugin. Arbiter and web client plugin need to be upgraded firstly. The order doesn't matter for these two components. If you have linked mode VC's, all VC's will need to have plugin upgraded.

We also have videos explaining how to upgrade VCSA plugin if you need to reference them:

https://hpesimplivityvideos.brightcovegallery.com/category/videos/install-upgrade

Hope this helps!

DeclanOR

Accept or Kudo



I am an HPE Employee
Highlighted
Advisor

Re: Upgrading To 4.0 From Previous Versions **Important Information Before Upgrading**

Thanks for your answers. But UM istn working for us. So i have to do the upgrade manually and i wanted to be sure that i have the right steps.

1.Check if the Federation is healthy 

2. Upgrade vCenter

3. Upgrade the Aribter/ vCenter Plugin

4. Upgrade the OVC host with the iso

5. Upgrade the FW 

6. Upgrade the ESXI